Subject: Re: git reset respect remote repo (make git idiot proof)

From: Geoffrey De Smet <[email-masked]>
Date: Thu, 04 Oct 2012 10:59:36 +0200

Op 03-10-12 18:40, Phil Hord schreef:
> But I feel your pain.  I think the solution lies in relegating 'reset'
> to the plumbing or the power-user realm of commands since I feel it is
> quite overloaded and sometimes dangerous.  There was a thread some
> months back heading in this direction, but I failed to keep it going.
>
>      http://comments.gmane.org/gmane.comp.version-control.git/185825

I personally use git reset a lot:
- Try an experiment
- Commit a few commits as the experiment progresses
- figure out that the experiment is a dead end
- git reset all those _local_ commits

The point is: they are local commits, so no harm done.
But there's nothing preventing me from resetting pushed commits too, 
which would mean harm.